curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": false,
"stop": "<string>",
"n": 1,
"response_format": {},
"tools": [
{}
],
"tool_choice": "<string>",
"user": "<string>"
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": False,
"stop": "<string>",
"n": 1,
"response_format": {},
"tools": [{}],
"tool_choice": "<string>",
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4o-mini',
messages: [{role: 'user', content: 'Hello!'}],
max_tokens: 2,
temperature: 1,
top_p: 0.5,
frequency_penalty: 0,
presence_penalty: 0,
stream: false,
stop: '<string>',
n: 1,
response_format: {},
tools: [{}],
tool_choice: '<string>',
user: '<string>'
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "gpt-4o-mini",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "Hello! How can I help you today?"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}gpt-4o-mini
Creates a model response for the given chat conversation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID
gpt-4o-mini "gpt-4o-mini"
A list of messages comprising the conversation so far.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]
The maximum number of tokens to generate.
x >= 1Sampling temperature. Higher values make output more random.
0 <= x <= 21
Nucleus sampling threshold.
0 <= x <= 1Penalizes repeated tokens based on their frequency in the text so far.
-2 <= x <= 2Penalizes tokens that have already appeared in the text.
-2 <= x <= 2If true, stream partial message deltas using SSE.
Sequences where the model will stop generating further tokens.
How many chat completion choices to generate for each input message.
x >= 1An object specifying the format that the model must output. Setting to {"type": "json_object"} enables JSON mode.
Show child attributes
Show child attributes
A list of tools the model may call. Currently, only functions are supported.
Controls which (if any) tool is called by the model.
A unique identifier representing your end-user.
Was this page helpful?